<?php
/*
Plugin Name: Simple Event Attendance (SEATT)
Version: 1.0
Plugin URI: http://www.3cc.org/scripts/wp-simple-event-attendance/
Author: Dave Channon
Author URI: http://www.3cc.org
Description: Simple attendance list, multiple lists can be added to any post or page and subscribed members can be edited.
*/
global $seatt_db_version;
$seatt_db_version = "1.0";
include('seatt_events_include.php');

function seatt_install() {
	global $wpdb;
	global $seatt_db_version;
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
   
	// Install tables
	$sql = "CREATE TABLE " . $wpdb->prefix . "seatt_events (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		event_name text NOT NULL,
		event_desc text NOT NULL,
		event_limit mediumint(9) NOT NULL,
		event_expire int NOT NULL,
		event_status mediumint(1) NOT NULL,
		UNIQUE KEY id (id)
		) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci;
		CREATE TABLE " . $wpdb->prefix . "seatt_attendees (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		event_id mediumint(9) NOT NULL,
		user_id mediumint(9) NOT NULL,
		user_comment text NOT NULL,
		UNIQUE KEY id (id)
		) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci;";
	dbDelta($sql);
 
   add_option("seatt_db_version", $seatt_db_version);
}

register_activation_hook( __FILE__, 'seatt_install' );

function seatt_admin() {  
	include('seatt_events_admin.php');
}

function seatt_admin_add() {   
	include('seatt_events_add.php');
}

function seatt_admin_edit() {   
	include('seatt_events_edit.php');
}

function seatt_admin_actions() {  
	add_options_page("SEATT Events Options", "Seatt Events", 1, "seatt_events", "seatt_admin");
	add_options_page("SEATT Events Options", "Seatt Add Event", 1, "seatt_events_add", "seatt_admin_add"); 
	add_options_page("SEATT Events Options", "Seatt Edit Event", 1, "seatt_events_edit", "seatt_admin_edit");
}

add_action('admin_menu', 'seatt_admin_actions');

function seatt_func( $atts ) {
	extract( shortcode_atts( array(
		'event_id' => '1',
	), $atts ) );

	seatt_form("{$event_id}");
}
add_shortcode( 'seatt-form', 'seatt_func' );

?>